Fix libbrillo warnings to make it build with llvm-next on chromeos.

Fix the warnings [-Wunused-lambda-capture] in libbrillo.

Bug=chromium:685430
TEST=libbrillo compiles

Change-Id: Icb01a91f37b955cdf1e7beb93301951bd8385537
Reviewed-on: https://chromium-review.googlesource.com/433339
Commit-Ready: Manoj Gupta <manojgupta@chromium.org>
Tested-by: Manoj Gupta <manojgupta@chromium.org>
Reviewed-by: Luis Lozano <llozano@chromium.org>
Reviewed-by: Alex Deymo <deymo@chromium.org>
Reviewed-by: Alex Vakulenko <avakulenko@chromium.org>
2 files changed